
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_materialinfo")]
    public class BaseMaterialinfo
    {

        [Key]
        [Column("id")]
        public Guid? id { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [Column("material_no")]
        public string materialNo { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [Column("material_name")]
        public string materialName { get; set; }

        /// <summary>
        /// 1号上件点K46写入PLC长度,单位:mm
        /// </summary>
        [Column("k46up_length")]
        public string k46upLength { get; set; }

        /// <summary>
        /// 2号上件点K48写入PLC长度,单位:mm
        /// </summary>
        [Column("k48up_length")]
        public string k48upLength { get; set; }

        /// <summary>
        /// 下件写入PLC长度,单位:mm
        /// </summary>
        [Column("down_length")]
        public string downLength { get; set; }

        /// <summary>
        /// 物料类型
        /// </summary>
        [Column("material_type")]
        public string materialType { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }
    }
}

